Package pyxmpp :: Module error

[hide private]

# Module error

source code

XMPP error handling.

Normative reference:
  - RFC 3920
  - JEP 86

Classes | [hide private]

| ErrorNode Base class for both XMPP stream and stanza errors
| StreamErrorNode Stream error element.
| StanzaErrorNode Stanza error element.

Variables | [hide private]

| stream_errors = ``{``u'``bad-format``'``:` `(``'``Received XML cannot be proce``...``
| stanza_errors = ``{``u'``bad-request``'``:` `(``'``Bad request``'``,` `'``modify``'``,` 400`...``
| legacy_codes = ``{`302`:` `'``redirect``'``,` 400`:` `'``bad-request``'``,` 401`:` `'``not``...``
| STANZA_ERROR_NS = ``'``urn:ietf:params:xml:ns:xmpp-stanzas``'``
| STREAM_ERROR_NS = ``'``urn:ietf:params:xml:ns:xmpp-streams``'``
| PYXMPP_ERROR_NS = ``'``http://pyxmpp.jajcus.net/xmlns/errors``'``
| STREAM_NS = ``'``http://etherx.jabber.org/streams``'``
| __package__ = ``'``pyxmpp``'``

Imports: libxml2, from_utf8, to_utf8, common_doc, common_root, common_ns, xmlextra, ProtocolError

Variables Details | [hide private]

### stream_errors

Value:

      {u'bad-format': ('Received XML cannot be processed'),
       u'bad-namespace-prefix': ('Bad namespace prefix'),
       u'conflict': ('Closing stream because of conflicting stream being ope
      ned'),
       u'connection-timeout': ('Connection was idle too long'),
       u'host-gone': ('Hostname is no longer hosted on the server'),
       u'host-unknown': ('Hostname requested is not known to the server'),
       u'improper-addressing': ('Improper addressing'),
      ...

### stanza_errors

Value:

      {u'bad-request': ('Bad request', 'modify', 400),
       u'conflict': ('Named session or resource already exists',
                     'cancel',
                     409),
       u'feature-not-implemented': ('Feature requested is not implemented',
                                    'cancel',
                                    501),
       u'forbidden': ('You are forbidden to perform requested action', 'auth
      ...

### legacy_codes

Value:

      {302: 'redirect',
       400: 'bad-request',
       401: 'not-authorized',
       402: 'payment-required',
       403: 'forbidden',
       404: 'item-not-found',
       405: 'not-allowed',
       406: 'not-acceptable',
      ...